#!/bin/bash

set -e

# Asegurarse de que el usuario exista
USER="opengnsys"
HOME_DIR="/opt/opengnsys"
if id "$USER" &>/dev/null; then
    echo "El usuario $USER ya existe."
else
    echo "Creando el usuario $USER con home en $HOME_DIR."
    useradd -m -d "$HOME_DIR" -s /bin/bash "$USER"
fi

exit 0
